cgResetPassState(3)

NAME
cgResetPassState - calls the state resetting callback functions for all of the state assignments in a pass.

SYNOPSIS
  #include <Cg/cg.h>
  void cgResetPassState( CGpass pass );

PARAMETERS

pass
    The pass handle.

RETURN VALUES
None.

DESCRIPTION
cgResetPassState resets all of the graphics state defined in a pass by calling the state resetting callbacks for all of the state assignments in the pass.

The semantics of "resetting state" will depend on the particular graphics state manager that defined the valid state assignments; it will generally either mean that graphics state is reset to what it was before the pass, or that it is reset to the default value. The OpenGL state manager in the OpenGL Cg runtime implements the latter approach.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

CG_INVALID_TECHNIQUE_ERROR is generated if the technique of which pass is a part has failed validation.

HISTORY
cgResetPassState was introduced in Cg 1.4.

SEE ALSO
the cgSetPassState manpage, the cgCallStateResetCallback manpage